# Installation
> `npm install --save @types/recursive-readdir`

# Summary
This package contains type definitions for recursive-readdir (https://github.com/jergason/recursive-readdir/).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/recursive-readdir/v1.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/recursive-readdir/v1/index.d.ts)
````ts
/// <reference types="node" />

import * as fs from "fs";
declare namespace RecursiveReaddir {
    interface readdir {
        (path: string, callback: (error: Error, files: string[]) => any): void;
        // ignorePattern supports glob syntax via https://github.com/isaacs/minimatch
        (
            path: string,
            ignorePattern: Array<string | ((file: string, stats: fs.Stats) => void)>,
            callback: (error: Error, files: string[]) => any,
        ): void;
        (
            path: string,
            ignoreFunction: (file: string, stats: fs.Stats) => void,
            callback: (error: Error, files: string[]) => any,
        ): void;
    }
}

declare var r: RecursiveReaddir.readdir;
export = r;

````

### Additional Details
 * Last updated: Mon, 20 Nov 2023 23:36:24 GMT
 * Dependencies: [@types/node](https://npmjs.com/package/@types/node)

# Credits
These definitions were written by .
